## org.eclipse.m2m.atl.adt
Class AtlBuildVisitor

    java.lang.Object
      org.eclipse.m2m.atl.adt.AtlBuildVisitor

All Implemented Interfaces:
  org.eclipse.core.resources.IResourceVisitor

    public class AtlBuildVisitor

extends java.lang.Object
implements org.eclipse.core.resources.IResourceVisitor

The ATL build visitor.

Constructor Summary
`AtlBuildVisitor(org.eclipse.core.runtime.IProgressMonitor monitor)` Creates the visitor.

Method Summary
`boolean` `visit(org.eclipse.core.resources.IResource resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtlBuildVisitor

    public AtlBuildVisitor(org.eclipse.core.runtime.IProgressMonitor monitor)

  Creates the visitor.

  Parameters:
    `monitor` - the progress monitor

Method Detail

### visit

    public boolean visit(org.eclipse.core.resources.IResource resource)
                  throws org.eclipse.core.runtime.CoreException

  Specified by:
    `visit` in interface `org.eclipse.core.resources.IResourceVisitor`
  Throws:
    `org.eclipse.core.runtime.CoreException`
  See Also:
    `IResourceVisitor.visit(org.eclipse.core.resources.IResource)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.